#include<bits/stdc++.h>
#define int long long
using namespace std;

signed main(){
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int n,l;
    cin>>n>>l;
    int p=-1;
    for(int i=0;i<n;++i){
        int h;
        cin>>h;
        if(h<=l&&p==-1)
            p=i+1;
    }
    cout<<p<<'\n';
}